KJL BUGS - Bug #2390

[ESS-Attendance Mobile] attendance ada data double2 sehingga mempengaruhi perhitungan payroll
10/25/2023 05:10 PM - Muhammad Bintar

Status: QA Test Start date: 10/25/2023
Priority: Immediate Due date: 11/30/2023
Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 3.00 hours
Description

dear tim developer
mohon supportnya untuk fixing pada ess attendance mobile dimana saat ini ada kondisi dimana employee melakukan submit
berkali2 sehingga attendance menjadi double.
History

#1 - 10/25/2023 05:24 PM - Kezia Pawitra Yulianti
- Status changed from New to Assigned
- Assignee changed from Kezia Pawitra Yulianti to Muhammad Bintar

- Priority changed from Normal to Urgent

Bintar,

pls cek dl requirement dan kondisi API mobilenya skrg ada gak kondisi jika attendance type nya beda emang bisa in/out lebih dari 1 kali.

Karena setau saya bisa jika attendance type nya beda.

Mungkin karena karyawa tsb beda shift jd attendance type nya beda dan in out di hari yg sama

Jika memang spt itu sebaiknya sampaikan saja kondisinya, tp nanti mgkn yg harus di fixing adalah perhitungan TM to PY nya kalau emang ada impct
formula kesana.

Sebelum nanti perlu di cek oleh developer untuk fixingnya

Yomma bisa tolong d bantu kira2 siapa yg bisa ngecek codingan di APl Mobile nya KJL ya kondisi tsb?

Tks

Tks
#2 - 11/08/2023 04:18 PM - Muhammad Bintar
update:

iya betul mbak dalam 1 hari hanya bisa submit attendance clock in 1x dan clock out 1x, baik normal maupun karyawan shift.

#3 - 11/09/2023 05:46 PM - Muhammad Bintar
- File Contoh data employee yang double2.docx added

#4 - 11/09/2023 05:53 PM - Muhammad Bintar
- File Contoh data employee yang double2.docx added

contoh employee yang double double

#5 - 11/11/2023 12:01 PM - Muhammad Bintar

- Assignee changed from Muhammad Bintar to shofwan shiddiq

update ya....

#6 - 11/28/2023 02:01 PM - Kezia Pawitra Yulianti

- Priority changed from Urgent to Immediate

mohon update nya untuk task ini ya.

Apa ini sama dgn task yg solusinya adalah penambahan query di job scheduler? yg untuk lintas hari?

Atau ini skenario yg berbeda Ig ya?

#7 - 11/28/2023 02:52 PM - shofwan shiddiq

- Assignee changed from shofwan shiddiq to Muhammad Bintar

Yg ini sudah close mb Yaya, ini saya kembalikan ke mas Bintar ya

#8 - 12/04/2023 10:10 AM - Kezia Pawitra Yulianti
- Status changed from Assigned to QA Test
